package info.aspirecn.iov.sjjh.shupplier10000005.vo;

import lombok.Data;
import lombok.ToString;

/**
 * 三传木-身份证简项核验接口请求对象
 * @author minmin
 *
 */
@Data
@ToString(callSuper = true, includeFieldNames = true)
public class RequestJsonObject {
	/**接口名*/
	private String api;
	/**appkey*/
	private String appKey;
	/**密钥*/
	private String appSecret;
	/**被查询人对象*/
	private SCMIdCardCheckRequestChildObject data;
	
	@Data
	@ToString(callSuper = true, includeFieldNames = true)
	public static class SCMIdCardCheckRequestChildObject {
		/**姓名*/
		private String name;
		/**身份证号*/
		private String id_number;
		/**手机号*/
		private String mobile;
		/**sign*/
		private String sign;
	}
	
}
