package info.aspirecn.iov.sjjh.shupplier10000005;

/**
 * 返回码
 * @author minmin
 *
 */
public class SjjhConstant {
	private SjjhConstant() {

	}

	/**接口查询成功返回码*/
	public static final String INTERFACE_RETURN_SUCCESS = "200";
	/**查询不一致,扣费*/
    public static final int INTERFACE_QUERY_NO_IDENTICAL = 0;
    /**查询一致,扣费*/
    public static final int INTERFACE_QUERY_IDENTICAL = 1;
    /**未找到,不扣费*/
    public static final int NO_FIND = 2;
    /**其他错误,不扣费*/
    public static final int OTHER_ERROR = 3;

    /**移动三要素1号接口*/
    public static final int YI_DONG_ONE = 1;
    /**移动三要素2号接口*/
    public static final int YI_DONG_TWO = 2;
    /**移动三要素3号接口*/
    public static final int YI_DONG_THREE = 3;
    /**移动三要素4号接口*/
    public static final int YI_DONG_FOUR = 4;

    /**电信三要素接口*/
    public static final int DIAN_XIN = 0;
    /**联通三要素接口*/
    public static final int LIAN_TONG = 1;

    /**参数错误*/
    public static final String RESPONSE_CODE_1010 = "1010";
    public static final String RESPONSE_CODE_1020 = "1020";

    /**查询成功*/
    public static final String RESPONSE_TEXT_SUCCESS = "查询成功";
    /**加密方式*/
    public static final String[] ENCRYPT_TYPE = {"MD5", "SHA256"};

    /**电信三要素详版data=1*/
    public static final String CTCC_DATA_1 = "1";
    /**电信三要素详版data=2*/
    public static final String CTCC_DATA_2 = "2";
    /**电信三要素详版data=3*/
    public static final String CTCC_DATA_3 = "3";
    /**电信三要素详版data=4*/
    public static final String CTCC_DATA_4 = "4";
}
