package info.aspirecn.iov.sjjh.shupplier10000005.vo;

import lombok.Data;
import lombok.ToString;

/**
 * @description:
 * @author: xusonglin
 * @create: 2019/9/29 15:04
 * @version: V1.0
 **/
@Data
@ToString
public class DecodeThreeElementRequestObject{
    /**接口名*/
    private String api;
    /**appkey*/
    private String appKey;
    /**密钥*/
    private String appSecret;
    /**被查询人对象*/
    private DecodeThreeElementRequestData data;

    @Data
    @ToString(callSuper = true, includeFieldNames = true)
    public static class DecodeThreeElementRequestData {
        /**姓名*/
        private String name;
        /**身份证号*/
        private String id_number;
        /**手机号*/
        private String mobile;
        /**加密方式*/
        private String encrypt;
        /**sign*/
        private String sign;
    }
}
